{ pkgs, user, ... }: {

  home = {
    username = "${user}";
    homeDirectory = "/home/${user}";
  };

  imports = [
    ./shared.nix
    ./modules/utils.nix
    ./modules/networking.nix
    ./modules/neovim.nix
    ./modules/emacs.nix
    ./modules/tmux.nix
    ./modules/zsh.nix
  ];

  services.emacs.enable = true;

  home.packages = with pkgs; [
    wireguard-tools
    rbw
    rofi-rbw-x11
  ];

  home.file = {
    ".Xresources".source = ../dotfiles/.Xresources;
    ".scripts/brightness.sh".source = ../dotfiles/.scripts/brightness.sh;
    ".scripts/autostart_desktop.sh".source = ../dotfiles/.scripts/autostart_desktop.sh;
    ".screenlayout/launch.sh".source = ../dotfiles/.screenlayout/launch.sh;
    ".screenlayout/wallpapers.sh".source = ../dotfiles/.screenlayout/wallpapers.sh;
    ".screenlayout/polybar.sh".source = ../dotfiles/.screenlayout/polybar.sh;
    ".config/i3/config".source = ../dotfiles/.config/i3/config;
    ".config/rofi/config.rasi".source = ../dotfiles/.config/rofi/config.rasi;
    ".config/polybar/config.ini".source = ../dotfiles/.config/polybar/config.ini;
    ".config/alacritty/alacritty.toml".source = ../dotfiles/.config/alacritty/alacritty.toml;
  };
}
